Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp
Class ExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.exp.ExpressionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EJBQLException

    public class ExpressionException

extends CayenneRuntimeException

RuntimeException thrown on errors during expressions creation/parsing.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `expressionString`

Constructor Summary
`ExpressionException()`
`ExpressionException(java.lang.String messageFormat, java.lang.Object... messageArgs)`
`ExpressionException(java.lang.String messageFormat, java.lang.String expressionString, java.lang.Throwable th, java.lang.Object... messageArgs)` Constructor for ExpressionException.
`ExpressionException(java.lang.String messageFormat, java.lang.Throwable cause, java.lang.Object... messageArgs)`
`ExpressionException(java.lang.Throwable cause)`

Method Summary
`java.lang.String` | `getExpressionString()`

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expressionString

    protected java.lang.String expressionString

Constructor Detail

### ExpressionException

    public ExpressionException()

### ExpressionException

    public ExpressionException(java.lang.String messageFormat,
                               java.lang.Object... messageArgs)

### ExpressionException

    public ExpressionException(java.lang.String messageFormat,
                               java.lang.Throwable cause,
                               java.lang.Object... messageArgs)

### ExpressionException

    public ExpressionException(java.lang.Throwable cause)

### ExpressionException

    public ExpressionException(java.lang.String messageFormat,
                               java.lang.String expressionString,
                               java.lang.Throwable th,
                               java.lang.Object... messageArgs)

  Constructor for ExpressionException.

  Since:
    1.1

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.